// combFilter.ck
// John Ellinger Music 208 Winter2014

Impulse imp => dac;
SndBuf buf;
buf.read( me.sourceDir() + "/wav/noise.wav" );
0 => buf.pos;

float out1;
float out2;
0 => int n;
2320 => float combF;
(44100.0/combF) $ int => int delaySamps;

buf.samples() => int numSamps;

while (true)
{
	if ( n < delaySamps )
	{
		buf.valueAt(n) => out1;
	    0 => out2;
	}
	else
	{
		buf.valueAt(n) => out1;
		buf.valueAt( n - delaySamps) => out2;		
	}
	
	out1 + out2 => imp.next;
	
	1::samp => now;
	
	n++;
	if ( n == numSamps )
		0 => n;
}
